Subject: Re: bug#7796: ^M in vc-dir

From: Sam Steingold <[email-masked]>
Date: Thu, 6 Jan 2011 14:19:56 -0500

On Thu, Jan 6, 2011 at 1:35 PM, Eli Zaretskii <[email-masked]> wrote:
>> Date: Thu, 6 Jan 2011 12:49:11 -0500
>> From: Sam Steingold <[email-masked]>
>>
>> I am running bzr tip emacs on winxp64.
>> C-x v d emacs/trunk RET
>> produces a buffer:
>>
>> =================================
>> VC backend : Bzr
>> Working dir: ~/src/emacs/trunk/
>> Parent branch      : bzr+ssh://[email-masked]/emacs/trunk/^M
>>
>> Shelves            : No shelved changes
>>
>>                          ./
>>                          lisp/
>>     edited               lisp/w32-fns.el^M
>> =================================
>>
>> where ^M are the actual \r characters.
>> this breaks things, e.g., I cannot hit RET on the file name, I get the
>> non-existent file with a ^M in the name.
>> this does not happen with hg and svn.
>
> It doesn't happen for me with bzr, either.  What is
> buffer-file-coding-system of this buffer?  It should be something-dos,
> I guess it isn't in your case.

utf-8
I fixed this by reverting the effects of
(modify-coding-system-alist 'process "" 'unix)
which lived in my .emacs since I last used it on windows 4 years ago...

> Also, can you see in your .bzr.log what commands is vc-dir invoking,
> exactly, when you type "C-x v d"?

Thu 2011-01-06 14:05:51 -0500
0.078  bazaar version: 2.3b3
0.078  bzr arguments: [u'status', u'-v', u'-S', u'./']
0.078  bazaar version: 2.3b3
0.078  bzr arguments: [u'info', u'./']
0.093  looking for plugins in C:/Documents and
Settings/sds/Application Data/bazaar/2.0/plugins
0.093  looking for plugins in C:/Program Files (x86)/Bazaar/plugins
0.093  looking for plugins in C:/Documents and
Settings/sds/Application Data/bazaar/2.0/plugins
0.093  looking for plugins in C:/Program Files (x86)/Bazaar/plugins
0.156  encoding stdout as osutils.get_user_encoding() 'cp1252'
0.171  encoding stdout as sys.stdin encoding 'cp437'
0.187  opening working tree 'C:/sds/src/emacs/trunk'
0.187  check paths: None
0.187  opening working tree 'C:/sds/src/emacs/trunk'
0.203  return code 0
0.250  encoding stdout as osutils.get_user_encoding() 'cp1252'
0.250  return code 0

Thu 2011-01-06 14:05:51 -0500
0.047  bazaar version: 2.3b3
0.047  bzr arguments: [u'shelve', u'--list', u'-q']
0.063  looking for plugins in C:/Documents and
Settings/sds/Application Data/bazaar/2.0/plugins
0.063  looking for plugins in C:/Program Files (x86)/Bazaar/plugins
0.110  encoding stdout as sys.stdin encoding 'cp437'
0.125  opening working tree 'C:/sds/src/emacs/trunk'
0.125  return code 0

thanks a lot for your help, I am learning more and more...

-- 
Sam Steingold <http://sds.podval.org>